using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class InventoryData
{
    public int[] inventoryItems;

    public InventoryData()
    {
        inventoryItems = new int[GameConstants.Sizes.TotalInventorySlots];

        for (int i = 0; i < inventoryItems.Length; i++)
        {
            inventoryItems[i] = -1;
        }
    }
    public InventoryData(int[] inventoryItems)
    {
        this.inventoryItems = new int[GameConstants.Sizes.TotalInventorySlots];

        for (int i = 0; i < inventoryItems.Length; i++)
        {
            this.inventoryItems[i] = inventoryItems[i];
        }
    }
}
